var controller;
(function (controller) {
    var AudioController = /** @class */ (function () {
        function AudioController() {
            utils.EventHelper.register(gameConst.PauseAudio, this.pauseAuido, this);
            utils.EventHelper.register(gameConst.ResumeAudio, this.resumeAudio, this);
        }
        AudioController.prototype.playSound = function (audioclip, delay, times, backGround) {
            if (delay === void 0) { delay = 0; }
            if (times === void 0) { times = 1; }
            if (backGround === void 0) { backGround = false; }
            backGround ? (this.backGroundChanel = Laya.SoundManager.playMusic(audioclip, 0)) : Laya.SoundManager.playSound(audioclip, times, null, null, delay);
        };
        AudioController.prototype.pauseAuido = function () {
            this.backGroundChanel.pause();
        };
        AudioController.prototype.resumeAudio = function () {
            this.backGroundChanel.resume();
        };
        return AudioController;
    }());
    controller.AudioController = AudioController;
})(controller || (controller = {}));
//# sourceMappingURL=AudioController.js.map